<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2014-09-25 02:47:36'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='xs:%element'
TITLE_EXPR='title = getStringParam("$title");

(parentTitle = getStringParam("windowTitle")) != null
  ? title + " | " + parentTitle : title'
HTML_HEAD_EXPR='title = getStringParam("$title");

(parentTitle = getStringParam("windowTitle")) != null
  ? title = title + " | " + parentTitle;

\'<script type="text/javascript">
    window.onload = function() {
        parent.document.title="\' + encodeJScriptString (title) + \'";
    }
</script>\''
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXML';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey ("main-xmls", getXMLDocument().id)';
	}
	PARAM={
		param.name='$nsURI';
		param.title='Target Namespace URI';
		param.type='string';
		param.defaultValue.expr='getServiceAttr("qName").toQName().namespaceURI';
		param.hidden='true';
	}
	PARAM={
		param.name='$displayName';
		param.type='string';
		param.defaultValue.expr='\'<\' + toXMLName (getServiceAttr("qName").toQName()) + \'>\'';
	}
	PARAM={
		param.name='$extendedName';
		param.type='string';
		param.defaultValue.expr='qName = getServiceAttr("qName").toQName();
displayName = \'<\' + toXMLName (qName) + \'>\';

instanceOf ("xs:element") ?
{
  // case of global elements
  displayName

} : {
  // case of local element

  // if name extension must be added
  hasParamValue("show.elementNameExt", "always")
  ||
  hasParamValue("show.elementNameExt", "repeating") &&
  {
    mainXML = findElementByKey ("main-xmls", getXMLDocument().id);

    mainXMLFilter = BooleanQuery (checkElementByKey (
                      "main-xmls",
                      getXMLDocument().id,
                      mainXML
                    ));

    countElementsByKey ("xsd-elements", qName, mainXMLFilter) > 1
  }
  ? displayName + callStockSection("elementNameExt") 
  : displayName
}';
	}
	PARAM={
		param.name='$title';
		param.type='string';
		param.defaultValue.expr='"element " + getStringParam("$extendedName")';
	}
	PARAM={
		param.name='$usageCount';
		param.description='number of locations where this element is used (by reference)
or declared locally';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey ("xsd-element-usage", contextElement.id)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$elementType';
		param.title='element type component';
		param.description='this is either global or anonymous type or null (when type cannot be resolved)';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey ("xsd-element-types", contextElement.id)';
		param.fixed='true';
	}
	PARAM={
		param.name='$elementTypeQName';
		param.title='element type qualified name';
		param.description='for an anonymous this will be null';
		param.type='Object';
		param.defaultValue.expr='elementType = getElementParam("$elementType");

typeQName = elementType.instanceOf("#CUSTOM")
              ? elementType.value.toQName() 
              : elementType.getServiceAttr("qName").toQName();

typeQName.adaptQName (rootElement)';
		param.fixed='true';
	}
	PARAM={
		param.name='$contentModelKey';
		param.title='map key for "xsd-content-model-attribute-defs", "xsd-content-model-element-defs"';
		param.description='The key for "xsd-content-model-attribute-defs" and "xsd-content-model-element-defs" maps to find items associated with this element';
		param.type='Object';
		param.defaultValue.expr='getElementParam("$elementType").id';
		param.fixed='true';
	}
	PARAM={
		param.name='$attributeCount';
		param.title='number of all attributes';
		param.description='total number of attributes declared for this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "xsd-content-model-attribute-defs",
  getParam("$contentModelKey"),
  BooleanQuery (
   instanceOf ("xs:%attribute") &&
   getAttrValue("use") != "prohibited"
  )
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$attributeWildcardCount';
		param.title='number of all attr. wildcards';
		param.description='total number of attribute wildcards declared for this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "xsd-content-model-attribute-defs",
  getParam("$contentModelKey"),
  BooleanQuery (instanceOf ("xs:anyAttribute"))
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$ownAttributeCount';
		param.title='number of attributes defined in this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "xsd-content-model-attribute-defs",
  getParam("$contentModelKey"),
  BooleanQuery (
    instanceOf ("xs:%attribute") &&
    getAttrValue("use") != "prohibited" &&
    findPredecessorByType("xs:%element|xs:complexType|xs:attributeGroup").id
    == rootElement.id
  )
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$ownAttributeWildcardCount';
		param.title='number of attr. wildcards defined in this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "xsd-content-model-attribute-defs",
  getParam("$contentModelKey"),
  BooleanQuery (
    instanceOf ("xs:anyAttribute") &&
    findPredecessorByType("xs:%element|xs:complexType|xs:attributeGroup").id
    == rootElement.id
  )
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$ownAttributeProhibitionCount';
		param.title='number of attr. prohibitions specified in this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "xsd-content-model-attribute-defs",
  getParam("$contentModelKey"),
  BooleanQuery (
    getAttrValue("use") == "prohibited" &&
    findPredecessorByType("xs:%element|xs:complexType|xs:attributeGroup").id
    == rootElement.id
  )
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$elementCount';
		param.title='number of all content elements';
		param.description='total number of content elements declared for this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "xsd-content-model-element-defs",
  getParam("$contentModelKey"),
  BooleanQuery (! instanceOf ("xs:any"))
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$elementWildcardCount';
		param.title='number of all element wildcards';
		param.description='total number of element wildcards declared for this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "xsd-content-model-element-defs",
  getParam("$contentModelKey"),
  BooleanQuery (instanceOf ("xs:any"))
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$ownElementCount';
		param.title='number of elements defined in this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "xsd-content-model-element-defs",
  getParam("$contentModelKey"),
  BooleanQuery (
    ! instanceOf ("xs:any") &&
    findPredecessorByType("xs:%element|xs:complexType|xs:group").id 
    == rootElement.id
  )
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$ownElementWildcardCount';
		param.title='number of element wildcards defined in this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "xsd-content-model-element-defs",
  getParam("$contentModelKey"),
  BooleanQuery (
    instanceOf ("xs:any") &&
    findPredecessorByType("xs:%element|xs:complexType|xs:group").id 
    == rootElement.id
  )
)';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='windowTitle';
		param.title='Window Title';
		param.type='string';
		param.trimSpaces='true';
		param.collapseSpaces='true';
		param.noEmptyString='true';
	}
	PARAM={
		param.name='doc.xsd.comp';
		param.title='XSD Component';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.xsd.comp.profile';
		param.title='Component Profile';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.diagram';
		param.title='Diagram';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.xmlRep';
		param.title='XML Representation Summary';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.xmlRep.for.element';
		param.title='Generate For Elements';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.xmlRep.sorting';
		param.title='Sorting';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.simpleContent';
		param.title='Simple Content Detail';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.simpleContent.restrictions';
		param.title='Restrictions';
		param.group='true';
		param.group.defaultState='expanded';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.simpleContent.restrictions.annotation';
		param.title='Annotations';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.simpleContent.default';
		param.title='Default Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.simpleContent.fixed';
		param.title='Fixed Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.lists';
		param.title='Lists of Related Components';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.lists.contentElements';
		param.title='Content Elements';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.lists.containingElements';
		param.title='Containing Elements';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.lists.substitutableElements';
		param.title='Substitutable Elements';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.lists.substitutingElements';
		param.title='Substituting Elements';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.lists.childrenBySubst';
		param.title='Children By Substitutions';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.lists.parentsBySubst';
		param.title='Parents By Substitutions';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.usage';
		param.title='Usage / Definition Locations';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.usage.for.element.global';
		param.title='Global Elements';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.usage.for.element.local';
		param.title='Local Elements';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='always;multiple;never';
	}
	PARAM={
		param.name='doc.xsd.comp.usage.layout';
		param.title='List Layout';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='flow;one_column;two_columns;optimal';
		param.defaultValue='optimal';
	}
	PARAM={
		param.name='doc.xsd.comp.annotation';
		param.title='Annotation';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.annotation.for.element';
		param.title='Elements';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.type';
		param.title='Type Detail';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.type.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.xsd.comp.type.for.element.type';
		param.title='Elements With Types';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='anonymous;any;none';
	}
	PARAM={
		param.name='doc.xsd.comp.type.deriv.tree';
		param.title='Type Derivation Tree';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.type.annotation';
		param.title='Annotation';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.type.deriv.simpleContent';
		param.title='Simple Content Derivation';
		param.group='true';
		param.type='enum';
		param.enum.values='local;full;none';
	}
	PARAM={
		param.name='doc.xsd.comp.type.deriv.simpleContent.facets';
		param.title='Facets';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.type.deriv.simpleContent.annotations';
		param.title='Annotations';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.source';
		param.title='XML Source';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.source.box';
		param.title='Enclose in Box';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.source.remove.xsd.anns';
		param.title='Remove <xs:annotation>';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.attributes';
		param.title='Attribute Detail';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.attributes.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='doc.xsd.comp.attributes.for.element';
		param.title='Elements';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.contentElements';
		param.title='Content Element Detail';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.contentElements.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='doc.xsd.comp.contentElements.for.element';
		param.title='Elements';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav';
		param.title='Navigation';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='nav.bar';
		param.title='Navigation Bar';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.elementNameExt';
		param.title='Element Name Extensions';
		param.type='enum';
		param.enum.values='always;repeating;never';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='page.refs';
		param.title='Generate page references';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Component List';
		style.id='cs1';
		text.font.size='10';
	}
	PAR_STYLE={
		style.name='Component List Heading 2';
		style.id='ps1';
		text.font.size='9';
		text.font.style.bold='true';
		par.margin.top='7';
		par.margin.bottom='7';
	}
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs2';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Demo Excluded Message';
		style.id='cs3';
		text.font.style.italic='true';
		text.color.foreground='#FF0000';
	}
	CHAR_STYLE={
		style.name='Derivation Method';
		style.id='cs4';
		text.font.name='Verdana';
		text.font.size='8';
		text.color.foreground='#FF9900';
	}
	CHAR_STYLE={
		style.name='Description';
		style.id='cs5';
	}
	PAR_STYLE={
		style.name='Detail Heading 1';
		style.id='ps2';
		text.font.name='Arial';
		text.font.size='16';
		text.font.style.bold='true';
		par.margin.top='10';
		par.margin.bottom='10';
	}
	PAR_STYLE={
		style.name='Detail Heading 3';
		style.id='ps3';
		text.font.name='Times New Roman';
		text.font.size='22';
		par.margin.bottom='12';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 4';
		style.id='ps4';
		text.font.size='12';
		text.font.style.bold='true';
		par.bkgr.opaque='true';
		par.bkgr.color='#CCCCFF';
		par.border.style='solid';
		par.border.color='#666666';
		par.margin.top='12';
		par.margin.bottom='8';
		par.padding.left='2';
		par.padding.right='2';
		par.padding.top='2';
		par.padding.bottom='2';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 5';
		style.id='ps5';
		text.font.name='Arial';
		text.font.size='9';
		text.font.style.bold='true';
		par.margin.top='10';
		par.margin.bottom='8';
		par.page.keepWithNext='true';
	}
	HR_STYLE={
		style.name='Detail Separator';
		style.id='hrs1';
		hr.lineStyle='dashed';
		hr.color='#999999';
		hr.margin.top='10';
		hr.margin.bottom='10';
	}
	PAR_STYLE={
		style.name='Detail Superheading';
		style.id='ps6';
		text.font.name='Times New Roman';
		text.font.size='14';
		par.page.keepWithNext='true';
	}
	CHAR_STYLE={
		style.name='Heading Note';
		style.id='cs6';
		text.font.size='8';
		text.font.style.bold='false';
	}
	CHAR_STYLE={
		style.name='Heading Note Separator';
		style.id='cs7';
		text.font.size='8';
		text.font.style.bold='false';
		text.spacing.letter='3';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs8';
		text.font.style.bold='false';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Hyperlink (latent)';
		style.id='cs9';
		text.decor.underline='true';
	}
	CHAR_STYLE={
		style.name='Mono';
		style.id='cs10';
		text.font.name='Courier New';
		text.font.size='9';
	}
	CHAR_STYLE={
		style.name='Mono (Small)';
		style.id='cs11';
		text.font.name='Courier New';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps7';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs12';
		text.font.style.italic='true';
	}
	CHAR_STYLE={
		style.name='Page Reference';
		style.id='cs13';
		text.font.name='Courier New';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Property Title';
		style.id='ps8';
		text.font.size='8';
		text.font.style.bold='true';
		par.lineHeight='11';
		par.margin.right='5.8';
	}
	PAR_STYLE={
		style.name='Property Value';
		style.id='ps9';
		text.font.name='Verdana';
		text.font.size='8';
		par.lineHeight='11';
	}
	TABLE_STYLE={
		style.name='Representation Box';
		style.id='ts1';
		table.cell.padding.both='3';
		table.bkgr.color='#F5F5F5';
		table.border.style='solid';
		table.border.color='#999999';
		table.border.css.render='true';
		table.page.keepTogether='true';
	}
	TABLE_STYLE={
		style.name='XML Source Box';
		style.id='ts2';
		table.cell.padding.both='3';
		table.bkgr.color='#F5F5F5';
		table.border.style='solid';
		table.border.color='#999999';
		table.border.css.render='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs8';
}
<HTARGET>
	HKEYS={
		'contextElement.id';
		'"detail"';
	}
</HTARGET>
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			text.style='cs12';
		}
		<AREA>
			<CTRL_GROUP>
				FMT={
					par.border.bottom.style='solid';
				}
				<CTRLS>
					<DATA_CTRL>
						EXPR='getParam("$title")'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<TEMPLATE_CALL>
		COND='output.type == "document" &&
output.demoIncomplete && ! exceedsDemoLimit("xsd-elements")'
		TEMPLATE_FILE='../../demo-incomplete.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='Navigation Bar'
		COND='output.type == "document" && getBooleanParam("nav.bar")'
		TEMPLATE_FILE='../../navbar.tpl'
		PASSED_PARAMS={
			'$navbar_type','"component"';
			'$navbar_location','"header"';
		}
	</TEMPLATE_CALL>
	<AREA_SEC>
		DESCR='document heading in case of multi-file (framed) HTML documentation'
		COND='output.type == "document"'
		FMT={
			par.style='ps2';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<TEXT_CTRL>
						TEXT='element'
					</TEXT_CTRL>
					<DATA_CTRL>
						EXPR='getParam("$displayName")'
					</DATA_CTRL>
					<SEPARATOR>
						FMT={
							txtfl.separator.type='none';
						}
					</SEPARATOR>
					<SS_CALL_CTRL>
						COND='// if this is a local element and the name extension must be added

instanceOf ("xs:%localElement")
&&
(hasParamValue("show.elementNameExt", "always") ||
 hasParamValue("show.elementNameExt", "repeating") &&
 {
   qName = getServiceAttr("qName").toQName();

   mainXMLFilter = BooleanQuery (checkElementByKey (
                     "main-xmls",
                     getXMLDocument().id,
                     getElementParam("$mainXML")
                   ));

   countElementsByKey ("xsd-elements", qName, mainXMLFilter) > 1
 }
)'
						MATCHING_ET='xs:%localElement'
						SS_NAME='elementNameExt'
						FMT={
							text.hlink.fmt='style';
							text.hlink.style='cs9';
							text.hlink.style.use='hover';
						}
					</SS_CALL_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<AREA_SEC>
		DESCR='section heading in case of single-file documentation'
		COND='output.type == "included"'
		<AREA>
			<CTRL_GROUP>
				FMT={
					par.style='ps6';
				}
				<CTRLS>
					<TEXT_CTRL>
						COND='instanceOf("xs:%localElement")
&&
countElementsByKey (
  "xsd-globally-documented-comps",
  contextElement.id
) > 1'
						TEXT='unified'
					</TEXT_CTRL>
					<TEXT_CTRL>
						MATCHING_ET='xs:%localElement'
						TEXT='local'
					</TEXT_CTRL>
					<TEXT_CTRL>
						MATCHING_ET='xs:element'
						TEXT='global'
					</TEXT_CTRL>
					<TEXT_CTRL>
						TEXT='element'
					</TEXT_CTRL>
				</CTRLS>
			</CTRL_GROUP>
			<CTRL_GROUP>
				FMT={
					par.style='ps3';
				}
				<CTRLS>
					<DATA_CTRL>
						EXPR='getParam("$extendedName")'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<FOLDER COLLAPSED='true'>
		DESCR='if this component is excluded from demo documentation'
		COND='exceedsDemoLimit("xsd-elements")'
		BREAK_PARENT_BLOCK='when-executed'
		<BODY>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='content omitted'
								FMT={
									text.style='cs3';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				DESCR='Navigation Bar & bottom message'
				COND='output.type == "document"'
				TEMPLATE_FILE='../../navbar-bottom.tpl'
				PASSED_PARAMS={
					'$navbar_type','"component"';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		DESCR='Element Profile'
		COND='getBooleanParam("doc.xsd.comp.profile")'
		ON_OUTPUT_EXPR='thisContext.setVar ("has-profile", true)'
		TEMPLATE_FILE='elementProfile.tpl'
	</TEMPLATE_CALL>
	<FOLDER COLLAPSED='true'>
		DESCR='Diagram / Content Model'
		FMT={
			sec.spacing.before='10';
			sec.spacing.after='10';
		}
		<BODY>
			<TEMPLATE_CALL>
				DESCR='Diagram'
				COND='getBooleanParam("doc.xsd.comp.diagram") && contextElement.hasImage'
				ON_OUTPUT_EXPR='thisContext.setVar ("has-content-model-diagram", true)'
				TEMPLATE_FILE='../diagramming/diagram.tpl'
				<HTARGET>
					COND='getBooleanParam("nav.bar")'
					HKEYS={
						'contextElement.id';
						'"diagram"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='XML Representation Summary'
				COND='getBooleanParam("doc.xsd.comp.xmlRep") &&
getBooleanParam("doc.xsd.comp.xmlRep.for.element")'
				ON_OUTPUT_EXPR='thisContext.setVar ("has-xml-rep-summary", true)'
				TEMPLATE_FILE='../content/xmlRep.tpl'
				PASSED_PARAMS={
					'$showHeading','true';
					'$sorting','getBooleanParam("doc.xsd.comp.xmlRep.sorting")';
					'$xmlName','name = getAttrStringValue("name");
nsURI = getStringParam("$nsURI");

instanceOf ("xs:%localElement") ? 
{
  form = hasAttr("form") ? getAttrValue ("form") :
     findAncestor ("xs:schema").getAttrValue ("elementFormDefault");

  (form != "qualified") ? name : toXMLName (nsURI, name)
} 
: toXMLName (nsURI, name)';
					'$abbreviateSimpleContent','getBooleanParam("doc.xsd.comp.simpleContent") &&
getBooleanParam("doc.xsd.comp.simpleContent.restrictions")';
				}
				<HTARGET>
					COND='getBooleanParam("nav.bar")'
					HKEYS={
						'contextElement.id';
						'"xml-rep-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<FOLDER COLLAPSED='true'>
		DESCR='Simple Content Detail'
		COND='getBooleanParam("doc.xsd.comp.simpleContent") &&
{
  et = getElementParam("$elementType");
  et != null || et.hasChild("xs:simpleContent")
}'
		ON_OUTPUT_EXPR='thisContext.setVar ("has-simple-content-detail", true)'
		FMT={
			sec.outputStyle='table';
			table.cell.padding.both='0';
			table.border.style='none';
		}
		<HEADER>
			<AREA_SEC>
				COND='(thisContext.checkVar ("has-profile") ||
 thisContext.checkVar ("has-content-model-diagram"))
&&
! thisContext.checkVar ("has-xml-rep-summary")'
				FMT={
					sec.outputStyle='pars';
				}
				<AREA>
					<HR>
						FMT={
							hr.style='hrs1';
						}
					</HR>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				FMT={
					sec.outputStyle='pars';
					par.style='ps5';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Simple Content Detail:'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<ELEMENT_ITER>
				DESCR='Iterate By Actual Facets'
				COND='getBooleanParam("doc.xsd.comp.simpleContent.restrictions")'
				TARGET_ET='xs:%facet'
				SCOPE='custom'
				ELEMENT_ENUM_EXPR='findElementsByKey (
  "xsd-facets",
  getElementParam("$elementType").id
)'
				GROUPING_KEY_EXPR='instanceOf ("xs:enumeration | xs:pattern") ?
  contextElement.qName : contextElement.id'
				<BODY>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<DATA_CTRL>
										EXPR='name = contextElement.localName;
name.charAt(0).toUpperCase() + name.substring(1) + \':\''
										FMT={
											ctrl.size.width='33.8';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps8';
										}
									</DATA_CTRL>
									<TEMPLATE_CALL_CTRL>
										TEMPLATE_FILE='../content/facet.tpl'
										PASSED_PARAMS={
											'$facet.annotation','getBooleanParam("doc.xsd.comp.simpleContent.restrictions.annotation")';
											'$sectionType','"restrictions"';
											'$compType','getElementParam("$elementType")';
											'$comp','rootElement';
										}
										FMT={
											ctrl.size.width='465.8';
											ctrl.size.height='18';
											tcell.align.vert='Bottom';
										}
									</TEMPLATE_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<AREA_SEC>
				COND='getBooleanParam("doc.xsd.comp.simpleContent.default")
&&
{
  defaultValue = getAttrValue("default");

  // When this element is a unifier representing > 1
  // local element components,
  // check if the value of \'default\' attribute is the same
  // at all locations.

  instanceOf("xs:%localElement")
  &&
  getIntParam("$usageCount") > 1
  &&
  countElementsByKey (
    "xsd-element-usage",
    contextElement.id,
    BooleanQuery (
      getAttrValue("default") == defaultValue
    )
  ) != getIntParam("$usageCount") ? {

    setVar ("variesByLocation", true);
    true

  } : {

    defaultValue != null ?
    {
      setVar ("variesByLocation", false);
      true;
    } : false
  }
}'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Default:'
								FMT={
									ctrl.size.width='33.8';
									ctrl.size.height='59.3';
									tcell.align.vert='Top';
									par.style='ps8';
								}
							</TEXT_CTRL>
							<PANEL>
								FMT={
									ctrl.size.width='465.8';
									ctrl.size.height='59.3';
									par.style='ps9';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												COND='getBooleanVar ("variesByLocation")'
												FMT={
													ctrl.size.width='122.3';
													ctrl.size.height='38.3';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='???'
																FMT={
																	text.style='cs11';
																}
															</TEXT_CTRL>
															<TEXT_CTRL>
																TEXT='(varies by location)'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
											<DATA_CTRL>
												COND='! getBooleanVar ("variesByLocation")'
												EXPR='\'"\' + getAttrValue("default") + \'"\''
												FMT={
													text.style='cs11';
												}
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				COND='getBooleanParam("doc.xsd.comp.simpleContent.fixed")
&&
{
  fixedValue = getAttrValue("fixed");

  // When this element is a unifier representing > 1
  // local element components,
  // check if the value of \'fixed\' attribute is the same
  // at all locations.

  instanceOf("xs:%localElement")
  &&
  getIntParam("$usageCount") > 1
  &&
  countElementsByKey (
    "xsd-element-usage",
    contextElement.id,
    BooleanQuery (
      getAttrValue("fixed") == fixedValue
    )
  ) != getIntParam("$usageCount") ? {

    setVar ("variesByLocation", true);
    true

  } : {

    fixedValue != null ?
    {
      setVar ("variesByLocation", false);
      true;
    } : false
  }
}'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Fixed:'
								FMT={
									ctrl.size.width='33.8';
									ctrl.size.height='59.3';
									tcell.align.vert='Top';
									par.style='ps8';
								}
							</TEXT_CTRL>
							<PANEL>
								FMT={
									ctrl.size.width='465.8';
									ctrl.size.height='59.3';
									par.style='ps9';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												COND='getBooleanVar ("variesByLocation")'
												FMT={
													ctrl.size.width='122.3';
													ctrl.size.height='38.3';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='???'
																FMT={
																	text.style='cs11';
																}
															</TEXT_CTRL>
															<TEXT_CTRL>
																TEXT='(varies by location)'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
											<DATA_CTRL>
												COND='! getBooleanVar ("variesByLocation")'
												EXPR='\'"\' + getAttrValue("fixed") + \'"\''
												FMT={
													text.style='cs11';
												}
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</FOLDER>
	<FOLDER COLLAPSED='true'>
		DESCR='Lists of Related Components'
		COND='getBooleanParam("doc.xsd.comp.lists")'
		<HEADER>
			<AREA_SEC>
				COND='thisContext.checkVar ("has-simple-content-detail")
||
(thisContext.checkVar ("has-profile") ||
 thisContext.checkVar ("has-content-model-diagram"))
&&
! thisContext.checkVar ("has-xml-rep-summary")'
				FMT={
					sec.outputStyle='pars';
				}
				<AREA>
					<HR>
						FMT={
							hr.style='hrs1';
						}
					</HR>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<TEMPLATE_CALL>
				DESCR='List of Content Model Elements'
				COND='getBooleanParam("doc.xsd.comp.lists.contentElements") &&
getIntParam("$elementCount") > 0'
				TEMPLATE_FILE='contentElementList.tpl'
				PASSED_PARAMS={
					'$caption','"Content model elements"';
				}
			</TEMPLATE_CALL>
			<SS_CALL>
				DESCR='List of possible children by substitutions'
				COND='getBooleanParam("doc.xsd.comp.lists.childrenBySubst") &&
{
  e = findElementsByKey ("xsd-children-by-substitutions", contextElement.id);

  e.hasNext() ? 
  { 
    thisContext.setVar ("elements", e.toVector());
    true
  } : false
}'
				SS_NAME='Element List'
				PARAMS_EXPR='Array (
  "May contain elements by substitutions",
  thisContext.getVar ("elements")
)'
				<HTARGET>
					COND='getBooleanParam("nav.bar")'
					HKEYS={
						'contextElement.id';
						'"children-by-substitutions"';
					}
				</HTARGET>
			</SS_CALL>
			<SS_CALL>
				DESCR='List of Containing Elements'
				COND='getBooleanParam("doc.xsd.comp.lists.containingElements") &&
{
  e = findElementsByKey ("xsd-containing-elements", contextElement.id);

  e.hasNext() ?
  {
    thisContext.setVar ("elements", e.toVector());
    true;
  } : false
}'
				SS_NAME='Element List'
				PARAMS_EXPR='Array (
  "Included in content model of elements",
  thisContext.getVar ("elements")
)'
				<HTARGET>
					COND='getBooleanParam("nav.bar")'
					HKEYS={
						'contextElement.id';
						'"containing-elements"';
					}
				</HTARGET>
			</SS_CALL>
			<SS_CALL>
				DESCR='List of possible parents by substitutions'
				COND='getBooleanParam("doc.xsd.comp.lists.parentsBySubst")
&&
getAttrValue("substitutionGroup") != null &&
{
  e = findElementsByKey ("xsd-parents-by-substitutions", contextElement.id);

  e.hasNext() ? 
  { 
    thisContext.setVar ("elements", e.toVector());
    true
  } : false
}'
				SS_NAME='Element List'
				PARAMS_EXPR='Array (
  "May be included in elements by substitutions",
  thisContext.getVar ("elements")
)'
				<HTARGET>
					COND='getBooleanParam("nav.bar")'
					HKEYS={
						'contextElement.id';
						'"parents-by-substitutions"';
					}
				</HTARGET>
			</SS_CALL>
			<SS_CALL>
				DESCR='List of elements this element may substitute for'
				COND='getBooleanParam("doc.xsd.comp.lists.substitutableElements")
&&
getAttrValue("substitutionGroup") != null &&
{
  e = findElementsByKey ("xsd-substitutable-elements", contextElement.id);

  e.hasNext() ? 
  { 
    thisContext.setVar ("elements", e.toVector());
    true
  } : false
}'
				SS_NAME='Element List'
				PARAMS_EXPR='Array (
  "Substitutes for elements",
  thisContext.getVar ("elements")
)'
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"substitutable-elements"';
					}
				</HTARGET>
			</SS_CALL>
			<SS_CALL>
				DESCR='List of elements this element may be substituted with'
				COND='getBooleanParam("doc.xsd.comp.lists.substitutingElements")
&&
instanceOf("xs:element") &&
{
  e = findElementsByKey ("xsd-substituting-elements", contextElement.id);

  e.hasNext() ? 
  { 
    thisContext.setVar ("elements", e.toVector());
    true
  } : false
}'
				SS_NAME='Element List'
				PARAMS_EXPR='Array (
  "Substituted with elements",
  thisContext.getVar ("elements")
)'
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"substituting-elements"';
					}
				</HTARGET>
			</SS_CALL>
		</BODY>
	</FOLDER>
	<FOLDER COLLAPSED='true'>
		DESCR='Usage / Definition Locations'
		COND='getIntParam("$usageCount") > 0
&&
getBooleanParam("doc.xsd.comp.usage")'
		<BODY>
			<FOLDER>
				DESCR='case of global element'
				COND='getBooleanParam("doc.xsd.comp.usage.for.element.global")'
				MATCHING_ET='xs:element'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.outputStyle='list';
					list.item.margin.top='8';
					list.item.margin.bottom='8';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"usage-locations"';
					}
				</HTARGET>
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Known Usage Locations'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<SS_CALL>
						DESCR='within global complexTypes'
						COND='e = findElementsByKey (
  "xsd-element-usage",
  contextElement.id,
  // filter
  BooleanQuery (
    findPredecessorByType ("xs:%element|xs:complexType").instanceOf ("xs:complexType")
  )
);

e.hasNext() ?
{
  thisContext.setVar ("locations", e.toVector());
  true
} : false'
						SS_NAME='Usage/Definition Location List'
						PARAMS_EXPR='Array (
  "ref",
  "Within global complexTypes",
  thisContext.getVar ("locations"),
  getElementTypes ("xs:complexType")
)'
					</SS_CALL>
					<SS_CALL>
						COND='e = findElementsByKey (
  "xsd-element-usage",
  contextElement.id,
  // filter
  BooleanQuery (checkPredecessorByType("xs:%element"))
);

e.hasNext() ?
{
  thisContext.setVar ("locations", e.toVector());
  true
} : false'
						SS_NAME='Usage/Definition Location List (within elements)'
						PARAMS_EXPR='Array (
  "ref",
  thisContext.getVar ("locations")
)'
					</SS_CALL>
					<SS_CALL>
						DESCR='within groups'
						COND='e = findElementsByKey (
  "xsd-element-usage",
  contextElement.id,
  // filter
  BooleanQuery (
    findPredecessorByType("xs:%element|xs:group").instanceOf ("xs:group")
  )
);

e.hasNext() ?
{
  thisContext.setVar ("locations", e.toVector());
  true
} : false'
						SS_NAME='Usage/Definition Location List'
						PARAMS_EXPR='Array (
  "ref",
  "Within model groups",
  thisContext.getVar ("locations"),
  getElementTypes ("xs:group")
)'
					</SS_CALL>
					<FOLDER COLLAPSED='true'>
						DESCR='as head element of substitution group affiliations'
						COND='e = findElementsByKey (
  "xsd-element-usage",
  contextElement.id,
  // filter
  BooleanQuery (
    instanceOf ("xs:element") && hasAttr ("substitutionGroup")
  )
);

e.hasNext() ?
{
  v = e.toVector();

  v.sortVector (
     @(GOMElement) el,
     StringQuery (el.callStockSection ("Component Name")),
     false
  );

  thisContext.setVar ("locations", v);
  true;

} : false'
						<HEADER>
							<AREA_SEC>
								FMT={
									par.style='ps1';
									par.margin.top='0';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='As head element of substitution group affiliations'
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='"(" + thisContext.getVar ("locations").toVector().size() + ")"'
											</DATA_CTRL>
											<SEPARATOR>
												FMT={
													txtfl.separator.type='none';
												}
											</SEPARATOR>
											<TEXT_CTRL>
												TEXT=':'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<ELEMENT_ITER>
								DESCR='print the list as comma-delimited text flow'
								COND='hasParamValue("doc.xsd.comp.usage.layout", "flow")
||
hasParamValue("doc.xsd.comp.usage.layout", "optimal")
||
thisContext.getVar ("locations").toVector().size() == 1'
								BREAK_PARENT_BLOCK='when-executed'
								TARGET_ET='xs:%element'
								SCOPE='custom'
								ELEMENT_ENUM_EXPR='thisContext.getVar ("locations").toEnum()'
								FMT={
									sec.outputStyle='list';
									text.style='cs1';
									txtfl.separator.type='text';
									txtfl.separator.text=', ';
									list.type='delimited';
								}
								<BODY>
									<AREA_SEC>
										<AREA>
											<CTRL_GROUP>
												FMT={
													txtfl.separator.type='nbsp';
												}
												<CTRLS>
													<SS_CALL_CTRL>
														SS_NAME='Component Name'
													</SS_CALL_CTRL>
													<PANEL>
														COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("detail", "xml-source-location")
)) != null'
														FMT={
															ctrl.size.width='154.5';
															text.style='cs13';
															txtfl.separator.type='none';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<TEXT_CTRL>
																		TEXT='['
																	</TEXT_CTRL>
																	<DATA_CTRL>
																		DOCFIELD='page-htarget'
																		FMT={
																			ctrl.option.noHLinkFmt='true';
																			text.hlink.fmt='none';
																		}
																		<DOC_HLINK>
																			HKEYS={
																				'contextElement.id';
																				'Array ("detail", "xml-source-location")';
																			}
																		</DOC_HLINK>
																	</DATA_CTRL>
																	<TEXT_CTRL>
																		TEXT=']'
																	</TEXT_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
								</BODY>
							</ELEMENT_ITER>
							<ELEMENT_ITER>
								DESCR='print one-column list'
								COND='hasParamValue("doc.xsd.comp.usage.layout", "one_column")'
								BREAK_PARENT_BLOCK='when-executed'
								TARGET_ET='xs:%element'
								SCOPE='custom'
								ELEMENT_ENUM_EXPR='thisContext.getVar ("locations").toEnum()'
								FMT={
									txtfl.separator.type='text';
									txtfl.separator.text=', ';
								}
								<BODY>
									<AREA_SEC>
										FMT={
											text.style='cs1';
										}
										<AREA>
											<CTRL_GROUP>
												FMT={
													txtfl.separator.type='space';
												}
												<CTRLS>
													<SS_CALL_CTRL>
														SS_NAME='Component Name'
													</SS_CALL_CTRL>
													<PANEL>
														COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("detail", "xml-source-location")
)) != null'
														FMT={
															ctrl.size.width='151.5';
															ctrl.size.height='38.3';
															text.style='cs13';
															txtfl.separator.type='none';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<TEXT_CTRL>
																		TEXT='['
																	</TEXT_CTRL>
																	<DATA_CTRL>
																		DOCFIELD='page-htarget'
																		FMT={
																			ctrl.option.noHLinkFmt='true';
																			text.hlink.fmt='none';
																		}
																		<DOC_HLINK>
																			HKEYS={
																				'contextElement.id';
																				'Array ("detail", "xml-source-location")';
																			}
																		</DOC_HLINK>
																	</DATA_CTRL>
																	<TEXT_CTRL>
																		TEXT=']'
																	</TEXT_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
													<SEPARATOR>
														FMT={
															txtfl.separator.type='none';
														}
													</SEPARATOR>
													<TEXT_CTRL>
														COND='! iterator.isLastItem'
														TEXT=','
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
								</BODY>
							</ELEMENT_ITER>
							<FOLDER>
								DESCR='otherwise, print two-column list'
								<BODY>
									<AREA_SEC>
										FMT={
											sec.outputStyle='table';
											table.cell.padding.both='0';
											table.border.style='none';
										}
										<AREA>
											<CTRL_GROUP>
												FMT={
													trow.cell.align.vert='Top';
												}
												<CTRLS>
													<SS_CALL_CTRL>
														SS_NAME='Element List Column'
														PARAMS_EXPR='v = thisContext.getVar ("locations").toVector();
N = v.size();

Array (
  v.subVector (0, (N + 1) / 2),
  N == 1
)'
														FMT={
															ctrl.size.width='208.5';
															ctrl.size.height='18';
														}
													</SS_CALL_CTRL>
													<SS_CALL_CTRL>
														SS_NAME='Element List Column'
														PARAMS_EXPR='v = thisContext.getVar ("locations").toVector();

Array (
  v.subVector ((v.size() + 1) / 2),
  true
)'
														FMT={
															ctrl.size.width='273';
															ctrl.size.height='18';
															tcell.padding.extra.left='10';
														}
													</SS_CALL_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
								</BODY>
							</FOLDER>
						</BODY>
					</FOLDER>
					<ELEMENT_ITER COLLAPSED='true'>
						DESCR='in WSDL messages'
						TARGET_ET='wsdl:part'
						SCOPE='custom'
						ELEMENT_ENUM_EXPR='findElementsByKey (
  "xsd-element-usage",
  contextElement.id,
  BooleanQuery (instanceOf ("wsdl:part"))
)'
						SORTING='by-expr'
						SORTING_KEY={expr='callStockSection("WSDL Message Part")',ascending,case_sensitive}
						<HEADER>
							<AREA_SEC>
								FMT={
									par.style='ps1';
									par.margin.top='0';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='In WSDL messages'
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='"(" + iterator.numItems + ")"'
											</DATA_CTRL>
											<SEPARATOR>
												FMT={
													txtfl.separator.type='none';
												}
											</SEPARATOR>
											<TEXT_CTRL>
												TEXT=':'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								DESCR='case of global attribute'
								FMT={
									text.style='cs1';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<SS_CALL_CTRL>
												SS_NAME='WSDL Message Part'
											</SS_CALL_CTRL>
											<SEPARATOR>
												FMT={
													txtfl.separator.type='none';
												}
											</SEPARATOR>
											<TEXT_CTRL>
												COND='! iterator.isLastItem'
												TEXT=','
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</ELEMENT_ITER>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='case of local element'
				COND='hasParamValue("doc.xsd.comp.usage.for.element.local", "always")
||
hasParamValue("doc.xsd.comp.usage.for.element.local", "multiple")
&&
getIntParam("$usageCount") > 1'
				MATCHING_ET='xs:%localElement'
				FMT={
					sec.outputStyle='list';
					list.item.margin.top='8';
					list.item.margin.bottom='8';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"def-locations"';
					}
				</HTARGET>
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Definition Locations'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<SS_CALL>
						DESCR='within global complexTypes'
						COND='e = findElementsByKey (
  "xsd-element-usage",
  contextElement.id,
  // filter
  BooleanQuery (
    findPredecessorByType ("xs:%element|xs:complexType").instanceOf("xs:complexType")
  )
);

e.hasNext() ?
{
  thisContext.setVar ("locations", e.toVector());
  true
} : false'
						SS_NAME='Usage/Definition Location List'
						PARAMS_EXPR='Array (
  "def",
  "Within global complexTypes",
  thisContext.getVar ("locations"),
  getElementTypes ("xs:complexType")
)'
					</SS_CALL>
					<SS_CALL>
						COND='e = findElementsByKey (
  "xsd-element-usage",
  contextElement.id,
  // filter
  BooleanQuery (checkPredecessorByType("xs:%element"))
);

e.hasNext() ?
{
  thisContext.setVar ("locations", e.toVector());
  true
} : false'
						SS_NAME='Usage/Definition Location List (within elements)'
						PARAMS_EXPR='Array (
  "def",
  thisContext.getVar ("locations")
)'
					</SS_CALL>
					<SS_CALL>
						DESCR='within groups'
						COND='e = findElementsByKey (
  "xsd-element-usage",
  contextElement.id,
  // filter
  BooleanQuery (
    findPredecessorByType("xs:%element|xs:group").instanceOf ("xs:group")
  )
);

e.hasNext() ?
{
  thisContext.setVar ("locations", e.toVector());
  true
} : false'
						SS_NAME='Usage/Definition Location List'
						PARAMS_EXPR='Array (
  "def",
  "Within model groups",
  thisContext.getVar ("locations"),
  getElementTypes ("xs:group")
)'
					</SS_CALL>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<FOLDER COLLAPSED='true'>
		DESCR='Annotation'
		COND='getBooleanParam("doc.xsd.comp.annotation") &&
getBooleanParam("doc.xsd.comp.annotation.for.element")'
		<HTARGET>
			COND='getBooleanParam("nav.bar")'
			HKEYS={
				'contextElement.id';
				'"annotation"';
			}
		</HTARGET>
		<BODY>
			<FOLDER>
				DESCR='case of global element or local element defined in the only location
-
print the only annotation'
				COND='instanceOf("xs:element") || getIntParam("$usageCount") == 1'
				BREAK_PARENT_BLOCK='when-executed'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Annotation'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<SS_CALL>
						SS_NAME='annotation'
						FMT={
							text.style='cs5';
						}
					</SS_CALL>
				</BODY>
			</FOLDER>
			<ELEMENT_ITER>
				DESCR='case of a unifier representing > 1 local element components
--
print all annotations by definition locations'
				FINISH_EXPR='removeElementMap ("local-annotations")'
				OUTPUT_CHECKER_EXPR='checkElementsByKey (
  "xsd-element-usage",
  contextElement.id,
  BooleanQuery (checkStockSectionOutput ("annotation"))
) ? 1 : -1'
				TARGET_ET='#CUSTOM'
				SCOPE='custom'
				ELEMENT_ENUM_EXPR='prepareElementMap (
  "local-annotations",
  findElementsByKey ("xsd-element-usage", contextElement.id),
  FlexQuery ({
    ann = callStockSection ("annotation");
    (ann != "") ? ann : null
  })
);

toCustomElements (getElementMapKeys ("local-annotations"))'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Annotations'
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='"(" + iterator.numItems + ")"'
									</DATA_CTRL>
									<SEPARATOR>
										FMT={
											text.style='cs7';
										}
									</SEPARATOR>
									<TEXT_CTRL>
										TEXT='(by all definition locations)'
										FMT={
											text.style='cs6';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<ELEMENT_ITER>
						DESCR='iterate by all locations with the same (current) annotation'
						OUTPUT_CHECKER_EXPR='1 // the output always exists'
						TARGET_ET='xs:%element'
						SCOPE='custom'
						ELEMENT_ENUM_EXPR='findElementsByKey ("local-annotations", contextElement.value)'
						FMT={
							sec.outputStyle='list';
							list.type='delimited';
							list.indent.block='true';
						}
						<HEADER>
							<AREA_SEC>
								FMT={
									text.font.style.bold='true';
									par.style='ps1';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												COND='iterator.numItems == 1'
												TEXT='Location:'
												FMT={
													text.font.style.bold='true';
												}
											</TEXT_CTRL>
											<PANEL>
												COND='iterator.numItems > 1'
												FMT={
													ctrl.size.width='216.8';
													ctrl.size.height='38.3';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='Locations'
																FMT={
																	text.font.style.bold='true';
																}
															</TEXT_CTRL>
															<DATA_CTRL>
																EXPR='"(" + iterator.numItems + ")"'
															</DATA_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='none';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT=':'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='within'
											</TEXT_CTRL>
											<PANEL>
												CONTEXT_ELEMENT_EXPR='findPredecessorByType("xs:%element|xs:complexType|xs:group")'
												MATCHING_ETS={'xs:%element';'xs:complexType';'xs:group'}
												FMT={
													ctrl.size.width='293.3';
													ctrl.size.height='38.3';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<SS_CALL_CTRL>
																SS_NAME='Component Name'
																FMT={
																	text.style='cs10';
																}
															</SS_CALL_CTRL>
															<TEXT_CTRL>
																MATCHING_ET='xs:%element'
																TEXT='element'
															</TEXT_CTRL>
															<TEXT_CTRL>
																MATCHING_ET='xs:complexType'
																TEXT='complexType'
															</TEXT_CTRL>
															<TEXT_CTRL>
																MATCHING_ET='xs:group'
																TEXT='group'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
											<PANEL>
												COND='! output.format.supportsPagination
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("def", "xml-source-location")
)) != null'
												FMT={
													ctrl.size.width='69';
													txtfl.separator.type='none';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='['
															</TEXT_CTRL>
															<TEXT_CTRL>
																TEXT='def'
																<DOC_HLINK>
																	HKEYS={
																		'contextElement.id';
																		'Array ("def", "xml-source-location")';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<TEXT_CTRL>
																TEXT=']'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
											<PANEL>
												COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("def", "xml-source-location")
)) != null'
												FMT={
													ctrl.size.width='152.3';
													ctrl.size.height='38.3';
													text.style='cs13';
													txtfl.separator.type='none';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='['
															</TEXT_CTRL>
															<DATA_CTRL>
																DOCFIELD='page-htarget'
																FMT={
																	ctrl.option.noHLinkFmt='true';
																	text.hlink.fmt='none';
																}
																<DOC_HLINK>
																	HKEYS={
																		'contextElement.id';
																		'Array ("def", "xml-source-location")';
																	}
																</DOC_HLINK>
															</DATA_CTRL>
															<TEXT_CTRL>
																TEXT=']'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</ELEMENT_ITER>
					<AREA_SEC>
						FMT={
							text.font.style.bold='true';
							par.style='ps1';
							par.margin.top='7';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Annotation:'
										FMT={
											text.font.style.bold='true';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<SS_CALL>
						SS_NAME='annotation'
						PASSED_ELEMENT_EXPR='findElementByKey ("local-annotations", contextElement.value)'
						PASSED_ELEMENT_MATCHING_ET='xs:%element'
						FMT={
							sec.indent.block='true';
							text.style='cs5';
						}
					</SS_CALL>
					<AREA_SEC>
						COND='! iterator.isLastItem'
						FMT={
							sec.outputStyle='pars';
						}
						<AREA>
							<HR>
								FMT={
									hr.style='hrs1';
									hr.page.keepWithNext='true';
								}
							</HR>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
		</BODY>
	</FOLDER>
	<FOLDER COLLAPSED='true'>
		DESCR='TYPE DETAIL'
		COND='getBooleanParam("doc.xsd.comp.type") && 
(
  hasParamValue("doc.xsd.comp.type.for.element.type", "anonymous") &&
  getParam("$elementTypeQName") == null
  ||
  hasParamValue("doc.xsd.comp.type.for.element.type", "any")
)'
		CONTEXT_ELEMENT_EXPR='getElementParam("$elementType")'
		MATCHING_ETS={'xs:%complexType';'xs:%simpleType'}
		<HTARGET>
			COND='getBooleanParam("nav.bar")'
			HKEYS={
				'rootElement.id';
				'"type-def-detail"';
			}
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				MATCHING_ETS={'xs:%localComplexType';'xs:%localSimpleType'}
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					par.style='ps4';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"detail"';
					}
					NAME_EXPR='output.type == "document" ? "type_detail" : ""'
				</HTARGET>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Anonymous Type Detail'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				FMT={
					par.style='ps4';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"local"';
						'rootElement.id';
					}
					NAME_EXPR='output.type == "document" ? "type_detail" : ""'
				</HTARGET>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								MATCHING_ET='xs:simpleType'
								TEXT='simpleType'
							</TEXT_CTRL>
							<TEXT_CTRL>
								MATCHING_ET='xs:complexType'
								TEXT='complexType'
							</TEXT_CTRL>
							<DATA_CTRL>
								EXPR='\'"\' + getParam("$elementTypeQName") + \'"\''
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("doc.xsd.comp.type.deriv.tree")
&&
(instanceOf ("xs:%simpleType") ||
 getValueByLPath (
   "(xs:simpleContent | xs:complexContent) / (xs:extension | xs:restriction)/@base"
 ) != null)'
				FMT={
					sec.outputStyle='table';
					sec.spacing.before='8';
					sec.spacing.after='8';
					table.style='ts1';
					table.sizing='Relative';
					table.autofit='false';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../type/typeDerivationTree.tpl'
								PASSED_PARAMS={
									'$detailLink','instanceOf("xs:simpleType | xs:complexType")';
									'$xmlSourceLink','instanceOf("xs:simpleType | xs:complexType")';
									'$xmlContext','rootElement';
								}
								FMT={
									ctrl.size.width='499.5';
									ctrl.size.height='18';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				COND='getBooleanParam("doc.xsd.comp.type.annotation")'
				TEMPLATE_FILE='../ann/annotation.tpl'
				PASSED_PARAMS={
					'$showHeading','true';
				}
				FMT={
					text.style='cs5';
				}
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='in case this type has a simple content, print details about its definition'
				COND='! hasParamValue("doc.xsd.comp.type.deriv.simpleContent", "none")'
				TEMPLATE_FILE='../content/simpleContentDerivation.tpl'
				PASSED_PARAMS={
					'$deriv.simpleContent','getStringParam("doc.xsd.comp.type.deriv.simpleContent")';
					'$deriv.simpleContent.facets','getBooleanParam("doc.xsd.comp.type.deriv.simpleContent.facets")';
					'$deriv.simpleContent.annotations','getBooleanParam("doc.xsd.comp.type.deriv.simpleContent.annotations")';
					'$xmlContext','rootElement';
				}
				FMT={
					sec.spacing.before='7';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<FOLDER COLLAPSED='true'>
		DESCR='XML SOURCE -- only for a top-level element or a local element defined in single location'
		COND='getBooleanParam("doc.xsd.comp.source")
&&
(instanceOf("xs:element") || getIntParam("$usageCount") == 1)'
		<HTARGET>
			HKEYS={
				'contextElement.id';
				'"xml-source"';
			}
			NAME_EXPR='output.type == "document" ? "xml_source" : ""'
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps4';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='XML Source'
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									text.style='cs7';
								}
							</SEPARATOR>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../../xml/sourceNote.tpl'
								PASSED_PARAMS={
									'$remove.xsd.anns','getBooleanParam("doc.xsd.comp.source.remove.xsd.anns")';
								}
								FMT={
									text.style='cs6';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("doc.xsd.comp.source.box")'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.outputStyle='table';
					table.style='ts2';
					table.sizing='Relative';
					table.autofit='false';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../../xml/nodeSource.tpl'
								PASSED_PARAMS={
									'$remove.xsd.anns','getBooleanParam("doc.xsd.comp.source.remove.xsd.anns")';
								}
								FMT={
									ctrl.size.width='499.5';
									ctrl.size.height='18';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../../xml/nodeSource.tpl'
				PASSED_PARAMS={
					'$remove.xsd.anns','getBooleanParam("doc.xsd.comp.source.remove.xsd.anns")';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		DESCR='ATTRIBUTE DETAIL'
		COND='getBooleanParam("doc.xsd.comp.attributes") &&
getBooleanParam("doc.xsd.comp.attributes.for.element")'
		TEMPLATE_FILE='../attribute/contentAttributes.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='CONTENT ELEMENT DETAIL'
		COND='getBooleanParam("doc.xsd.comp.contentElements") &&
getBooleanParam("doc.xsd.comp.contentElements.for.element")'
		TEMPLATE_FILE='contentElements.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='Navigation Bar & bottom message'
		COND='output.type == "document"'
		TEMPLATE_FILE='../../navbar-bottom.tpl'
		PASSED_PARAMS={
			'$navbar_type','"component"';
		}
	</TEMPLATE_CALL>
</ROOT>
<STOCK_SECTIONS>
	<TEMPLATE_CALL>
		SS_NAME='annotation'
		TEMPLATE_FILE='../ann/annotation.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='Component Name'
		DESCR='prints the qualified name of any global schema component or local element (passed as the stock-section context element)'
		TEMPLATE_FILE='../component/componentName.tpl'
		PASSED_PARAMS={
			'$xmlContexts','Array (rootElement, contextElement)';
		}
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='Element List'
		DESCR='params[0]: list title; 
params[1]: vector of elements to list'
		TEMPLATE_FILE='elementList.tpl'
		PASSED_PARAMS={
			'$listTitle','stockSection.params[0]';
			'$elements','stockSection.params[1]';
		}
	</TEMPLATE_CALL>
	<ELEMENT_ITER>
		SS_NAME='Element List Column'
		DESCR='params[0]: vector of column elements; 
params[1]: true if this is the last part of the whole list (to avoid printing comma after last item)'
		TARGET_ET='xs:%element'
		SCOPE='custom'
		ELEMENT_ENUM_EXPR='toEnum (stockSection.param)'
		FMT={
			sec.outputStyle='pars';
		}
		<BODY>
			<AREA_SEC>
				FMT={
					text.style='cs1';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							txtfl.separator.type='none';
						}
						<CTRLS>
							<SS_CALL_CTRL>
								SS_NAME='Component Name'
							</SS_CALL_CTRL>
							<PANEL>
								COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("detail", "def", "xml-source-location")
)) != null'
								FMT={
									ctrl.size.width='184.5';
									ctrl.size.height='38.3';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<SEPARATOR>
												FMT={
													txtfl.separator.type='nbsp';
												}
											</SEPARATOR>
											<TEXT_CTRL>
												TEXT='['
												FMT={
													text.style='cs13';
												}
											</TEXT_CTRL>
											<DATA_CTRL>
												DOCFIELD='page-htarget'
												FMT={
													ctrl.option.noHLinkFmt='true';
													text.style='cs13';
													text.hlink.fmt='none';
												}
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'Array ("detail", "def", "xml-source-location")';
													}
												</DOC_HLINK>
											</DATA_CTRL>
											<TEXT_CTRL>
												TEXT=']'
												FMT={
													text.style='cs13';
												}
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<TEXT_CTRL>
								COND='! iterator.isLastItem ||
! stockSection.params[1].toBoolean()'
								TEXT=','
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
	<TEMPLATE_CALL>
		SS_NAME='elementNameExt'
		MATCHING_ET='xs:%localElement'
		TEMPLATE_FILE='elementNameExt.tpl'
		PASSED_PARAMS={
			'$xmlContexts','Array (rootElement, contextElement)';
		}
	</TEMPLATE_CALL>
	<FOLDER>
		SS_NAME='Usage/Definition Location List'
		DESCR='params[0]: list type: "ref" - usage locations, "def" - definition locations;
params[1]: list title;
params[2]: vector of components containing the locations to list;
params[3]: Element Types (array) matching the components containing the locations'
		INIT_EXPR='v = stockSection.params[2].toVector();

ets = (GOMElementType[]) stockSection.params[3];

v.sortVector (
   @(GOMElement) el,
   StringQuery (el.findPredecessorByType(ets).callStockSection ("Component Name")),
   false
);

stockSection.setVar ("locations", v);'
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps1';
					par.margin.top='0';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<DATA_CTRL>
								EXPR='stockSection.params[1]'
							</DATA_CTRL>
							<DATA_CTRL>
								EXPR='"(" + stockSection.getVar ("locations").toVector().size() + ")"'
							</DATA_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='none';
								}
							</SEPARATOR>
							<TEXT_CTRL>
								TEXT=':'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<ELEMENT_ITER>
				DESCR='print the list as comma-delimited text flow'
				COND='hasParamValue("doc.xsd.comp.usage.layout", "flow")
||
hasParamValue("doc.xsd.comp.usage.layout", "optimal")
||
stockSection.getVar ("locations").toVector().size() == 1'
				BREAK_PARENT_BLOCK='when-executed'
				TARGET_ET='xs:%element'
				SCOPE='custom'
				ELEMENT_ENUM_EXPR='stockSection.getVar ("locations").toEnum()'
				FMT={
					sec.outputStyle='list';
					text.style='cs1';
					txtfl.separator.type='text';
					txtfl.separator.text=', ';
					list.type='delimited';
				}
				<BODY>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<SS_CALL_CTRL>
										SS_NAME='Component Name'
										PASSED_ELEMENT_EXPR='findPredecessorByType (
  (GOMElementType[]) stockSection.params[3]
)'
										PASSED_ELEMENT_MATCHING_ET='<ANY>'
									</SS_CALL_CTRL>
									<PANEL>
										COND='! output.format.supportsPagination
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("def", "xml-source-location")
)) != null'
										FMT={
											ctrl.size.width='125.3';
											ctrl.size.height='38.3';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='stockSection.param'
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'Array ("def", "xml-source-location")';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<PANEL>
										COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("def", "xml-source-location")
)) != null'
										FMT={
											ctrl.size.width='145.5';
											ctrl.size.height='38.3';
											text.style='cs13';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														DOCFIELD='page-htarget'
														FMT={
															ctrl.option.noHLinkFmt='true';
															text.hlink.fmt='none';
														}
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'Array ("def", "xml-source-location")';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='print one-column list'
				COND='hasParamValue("doc.xsd.comp.usage.layout", "one_column")'
				BREAK_PARENT_BLOCK='when-executed'
				TARGET_ET='xs:%element'
				SCOPE='custom'
				ELEMENT_ENUM_EXPR='stockSection.getVar ("locations").toEnum()'
				FMT={
					txtfl.separator.type='text';
					txtfl.separator.text=', ';
				}
				<BODY>
					<AREA_SEC>
						FMT={
							text.style='cs1';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='space';
								}
								<CTRLS>
									<SS_CALL_CTRL>
										SS_NAME='Component Name'
										PASSED_ELEMENT_EXPR='findPredecessorByType (
  (GOMElementType[]) stockSection.params[3]
)'
										PASSED_ELEMENT_MATCHING_ET='<ANY>'
									</SS_CALL_CTRL>
									<PANEL>
										COND='! output.format.supportsPagination
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("def", "xml-source-location")
)) != null'
										FMT={
											ctrl.size.width='126.8';
											ctrl.size.height='38.3';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='stockSection.param'
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'Array ("def", "xml-source-location")';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<PANEL>
										COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("def", "xml-source-location")
)) != null'
										FMT={
											ctrl.size.width='144';
											ctrl.size.height='38.3';
											text.style='cs13';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														DOCFIELD='page-htarget'
														FMT={
															ctrl.option.noHLinkFmt='true';
															text.hlink.fmt='none';
														}
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'Array ("def", "xml-source-location")';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='none';
										}
									</SEPARATOR>
									<TEXT_CTRL>
										COND='! iterator.isLastItem'
										TEXT=','
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<FOLDER>
				DESCR='otherwise, print two-column list'
				<BODY>
					<AREA_SEC>
						FMT={
							sec.outputStyle='table';
							table.cell.padding.both='0';
							table.border.style='none';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									trow.cell.align.vert='Top';
								}
								<CTRLS>
									<SS_CALL_CTRL>
										SS_NAME='Usage/Definition Location List Column'
										PARAMS_EXPR='v = stockSection.getVar ("locations").toVector();
N = v.size();

Array (
  stockSection.param,
  v.subVector (0, (N + 1) / 2),
  N == 1,
  stockSection.params[3]
)'
										FMT={
											ctrl.size.width='216';
											ctrl.size.height='18';
										}
									</SS_CALL_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Usage/Definition Location List Column'
										PARAMS_EXPR='v = stockSection.getVar ("locations").toVector();

Array (
  stockSection.param,
  v.subVector ((v.size() + 1) / 2),
  true,
  stockSection.params[3]
)'
										FMT={
											ctrl.size.width='283.5';
											ctrl.size.height='18';
											tcell.padding.extra.left='10';
										}
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='Usage/Definition Location List (within elements)'
		DESCR='params[0]: list type: "ref" - usage locations, "def" - definition locations;
params[1]: vector of components containing the locations to list'
		INIT_EXPR='nameExt = null;

/* This variable accumulates the maximal normalized length of element display name.
 For an element, the normalized display name length is calculated
 as the number of characters of the element\'s main name plus
 the number of character of the element name extension multiplied by 0.8
*/
nameLenMax = 0;

mainXMLFilter = BooleanQuery (checkElementByKey (
                  "main-xmls",
                  getXMLDocument().id,
                  getElementParam("$mainXML")
                ));

v = stockSection.params[1].toVector();

v.sortVector (
   @(GOMElement) loc,
   StringQuery ({

     el = loc.findPredecessorByType("xs:%element");

     qName = el.getServiceAttr("qName").toQName();

     displayName = toXMLName (qName, rootElement);
     nameLen = displayName.length();

     // if this is a local element and the name extension must be added
     (el.instanceOf("xs:%localElement")
      &&
      (hasParamValue("show.elementNameExt", "always")
       ||
       hasParamValue("show.elementNameExt", "repeating") &&
       countElementsByKey ("xsd-elements", qName, mainXMLFilter) > 1)
     ) ? {
       nameExt = el.callStockSection ("elementNameExt");
       displayName += nameExt;

       nameLen += round (nameExt.length() * 0.8);
     };

     nameLenMax < nameLen ? nameLenMax = nameLen;

     displayName
   }),
   false
);

stockSection.setVar ("locations", v);

/* The actual list layout:

 - If the list consist of the only element, the layout is \'flow\'
 - If the specified layout was \'optimal\', calculate the actual layout as follows:

   1). If there are no local element name extensions, use \'flow\' layout
   2). If maximal normalized length of element display names in the list exceeds 45,
       use \'one_column\' layout
   3). Otherwise, use \'two_columns\' layout

 - Otherwise, use the specified layout
*/

stockSection.setVar (
  "listLayout", 
  (v.size() == 1 ? "flow" :
     hasParamValue("doc.xsd.comp.usage.layout", "optimal") ?
       nameExt == null ? "flow" : nameLenMax > 50 ? "one_column" : "two_columns"
     : getStringParam("doc.xsd.comp.usage.layout"))
);'
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps1';
					par.margin.top='0';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Within anonymous complexTypes of elements'
							</TEXT_CTRL>
							<DATA_CTRL>
								EXPR='"(" + stockSection.getVar ("locations").toVector().size() + ")"'
							</DATA_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='none';
								}
							</SEPARATOR>
							<TEXT_CTRL>
								TEXT=':'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<ELEMENT_ITER>
				DESCR='print the list as comma-delimited text flow'
				COND='stockSection.getVar ("listLayout") == "flow"'
				BREAK_PARENT_BLOCK='when-executed'
				TARGET_ET='xs:%element'
				SCOPE='custom'
				ELEMENT_ENUM_EXPR='stockSection.getVar ("locations").toEnum()'
				FMT={
					sec.outputStyle='list';
					text.style='cs1';
					txtfl.separator.type='text';
					txtfl.separator.text=', ';
					list.type='delimited';
				}
				<BODY>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<SS_CALL_CTRL>
										SS_NAME='Component Name'
										PASSED_ELEMENT_EXPR='findPredecessorByType("xs:%element")'
										PASSED_ELEMENT_MATCHING_ET='xs:%element'
									</SS_CALL_CTRL>
									<PANEL>
										COND='! output.format.supportsPagination
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("def", "xml-source-location")
)) != null'
										FMT={
											ctrl.size.width='123';
											ctrl.size.height='38.3';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='stockSection.param'
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'Array ("def", "xml-source-location")';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<PANEL>
										COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("def", "xml-source-location")
)) != null'
										FMT={
											ctrl.size.width='149.3';
											ctrl.size.height='38.3';
											text.style='cs13';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														DOCFIELD='page-htarget'
														FMT={
															ctrl.option.noHLinkFmt='true';
															text.hlink.fmt='none';
														}
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'Array ("def", "xml-source-location")';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='print one-column list'
				COND='stockSection.getVar ("listLayout") == "one_column"'
				BREAK_PARENT_BLOCK='when-executed'
				TARGET_ET='xs:%element'
				SCOPE='custom'
				ELEMENT_ENUM_EXPR='stockSection.getVar ("locations").toEnum()'
				FMT={
					txtfl.separator.type='text';
					txtfl.separator.text=', ';
				}
				<BODY>
					<AREA_SEC>
						FMT={
							text.style='cs1';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='space';
								}
								<CTRLS>
									<SS_CALL_CTRL>
										SS_NAME='Component Name'
										PASSED_ELEMENT_EXPR='findPredecessorByType("xs:%element")'
										PASSED_ELEMENT_MATCHING_ET='xs:%element'
									</SS_CALL_CTRL>
									<PANEL>
										COND='! output.format.supportsPagination
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("def", "xml-source-location")
)) != null'
										FMT={
											ctrl.size.width='124.5';
											ctrl.size.height='38.3';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='stockSection.param'
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'Array ("def", "xml-source-location")';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<PANEL>
										COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("def", "xml-source-location")
)) != null'
										FMT={
											ctrl.size.width='147.8';
											ctrl.size.height='38.3';
											text.style='cs13';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														DOCFIELD='page-htarget'
														FMT={
															ctrl.option.noHLinkFmt='true';
															text.hlink.fmt='none';
														}
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'Array ("def", "xml-source-location")';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='none';
										}
									</SEPARATOR>
									<TEXT_CTRL>
										COND='! iterator.isLastItem'
										TEXT=','
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<FOLDER>
				DESCR='otherwise, print two-column list'
				<BODY>
					<AREA_SEC>
						FMT={
							sec.outputStyle='table';
							table.cell.padding.both='0';
							table.border.style='none';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									trow.cell.align.vert='Top';
								}
								<CTRLS>
									<SS_CALL_CTRL>
										SS_NAME='Usage/Definition Location List Column'
										PARAMS_EXPR='v = stockSection.getVar ("locations").toVector();
N = v.size();

Array (
  stockSection.param,
  v.subVector (0, (N + 1) / 2),
  N == 1,
  getElementTypes ("xs:%element")
)'
										FMT={
											ctrl.size.width='232.5';
											ctrl.size.height='18';
										}
									</SS_CALL_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Usage/Definition Location List Column'
										PARAMS_EXPR='v = stockSection.getVar ("locations").toVector();

Array (
  stockSection.param,
  v.subVector ((v.size() + 1) / 2),
  true,
  getElementTypes ("xs:%element")
)'
										FMT={
											ctrl.size.width='267';
											ctrl.size.height='18';
											tcell.padding.extra.left='10';
										}
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<ELEMENT_ITER>
		SS_NAME='Usage/Definition Location List Column'
		DESCR='params[0]: list type: "ref" - usage locations, "def" - definition locations;
params[1]: vector of element reference components; 
params[2]: true if this is the last part of the whole list (to avoid printing comma after last item);
params[3]: the Element Types (array) matching the component containing the location'
		TARGET_ET='xs:%element'
		SCOPE='custom'
		ELEMENT_ENUM_EXPR='toEnum (stockSection.params [1])'
		FMT={
			sec.outputStyle='pars';
		}
		<BODY>
			<AREA_SEC>
				FMT={
					text.style='cs1';
					txtfl.separator.type='none';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							txtfl.separator.type='nbsp';
						}
						<CTRLS>
							<SS_CALL_CTRL>
								SS_NAME='Component Name'
								PASSED_ELEMENT_EXPR='findPredecessorByType (
  (GOMElementType[]) stockSection.params[3]
)'
								PASSED_ELEMENT_MATCHING_ET='<ANY>'
							</SS_CALL_CTRL>
							<PANEL>
								COND='! output.format.supportsPagination
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("def", "xml-source-location")
)) != null'
								FMT={
									ctrl.size.width='127.5';
									ctrl.size.height='38.3';
									txtfl.separator.type='none';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='['
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='stockSection.param'
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'Array ("def", "xml-source-location")';
													}
												</DOC_HLINK>
											</DATA_CTRL>
											<TEXT_CTRL>
												TEXT=']'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<PANEL>
								COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("def", "xml-source-location")
)) != null'
								FMT={
									ctrl.size.width='146.3';
									ctrl.size.height='38.3';
									text.style='cs13';
									txtfl.separator.type='none';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='['
											</TEXT_CTRL>
											<DATA_CTRL>
												DOCFIELD='page-htarget'
												FMT={
													ctrl.option.noHLinkFmt='true';
													text.hlink.fmt='none';
												}
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'Array ("def", "xml-source-location")';
													}
												</DOC_HLINK>
											</DATA_CTRL>
											<TEXT_CTRL>
												TEXT=']'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='none';
								}
							</SEPARATOR>
							<TEXT_CTRL>
								COND='! iterator.isLastItem ||
! stockSection.params[2].toBoolean()'
								TEXT=','
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Definition Name'
		DESCR='prints the qualified name of the WSDL definition'
		TEMPLATE_FILE='../../wsdl/misc/defName.tpl'
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
	<AREA_SEC>
		SS_NAME='WSDL Message Part'
		DESCR='case of global attribute'
		MATCHING_ET='wsdl:part'
		FMT={
			sec.outputStyle='text-par';
			par.option.nowrap='true';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<SS_CALL_CTRL>
						SS_NAME='WSDL Definition Name'
						PASSED_ELEMENT_EXPR='contextElement.parent'
						PASSED_ELEMENT_MATCHING_ET='wsdl:message'
					</SS_CALL_CTRL>
					<TEXT_CTRL>
						TEXT='part'
						FMT={
							text.style='cs4';
						}
					</TEXT_CTRL>
					<SS_CALL_CTRL>
						SS_NAME='WSDL Definition Name'
					</SS_CALL_CTRL>
					<PANEL>
						COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("detail", "xml-source-location")
)) != null'
						FMT={
							ctrl.size.width='145.5';
							ctrl.size.height='38.3';
							text.style='cs13';
							txtfl.separator.type='none';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='['
									</TEXT_CTRL>
									<DATA_CTRL>
										DOCFIELD='page-htarget'
										FMT={
											ctrl.option.noHLinkFmt='true';
											text.hlink.fmt='none';
										}
										<DOC_HLINK>
											HKEYS={
												'contextElement.id';
												'Array ("detail", "xml-source-location")';
											}
										</DOC_HLINK>
									</DATA_CTRL>
									<TEXT_CTRL>
										TEXT=']'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</PANEL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</STOCK_SECTIONS>
CHECKSUM='QrP4BwFveDh434Z5B2KC5fpPOtr6tn2HTnCGzPkOPYQ'
</FLEXDOCXYZ_TEMPLATE>